﻿<?xml version="1.0" encoding="utf-8"?>
<log4net>
  <appender name="SystemActivityAppender" type="log4net.Appender.RollingFileAppender">
    <!--Output file -->
    <file type="log4net.Util.PatternString" value="logs/dotstatsuite-core-transfer-system.log"/>
    <rollingStyle value="Date"/>
    <datePattern value="yyyyMMdd"/>
    <!--enable the following setting to keep a max number of backup log files.-->
    <!--<maxSizeRollBackups value="10" />-->
    <maximumFileSize value="100MB" />
    <staticLogFileName value="true" />
    <appendToFile value="true"/>
    <layout type="log4net.Layout.PatternLayout">
      <!--Add of remove fields to adjust the logging information, note that "|" is being used as delimiter-->
      <conversionPattern value="%date|[%thread]|%-5level|%property{log4net:HostName}|%logger|%message|%exception%newline" />
    </layout>
    <!--Filter system activity-->
    <filter type="log4net.Filter.PropertyFilter">
      <key value="DataSpaceId" />
      <StringToMatch value="null" />
    </filter>
    <filter type="log4net.Filter.DenyAllFilter" />
  </appender>
  <appender name="UserActivityAppender" type="log4net.Appender.RollingFileAppender">
    <!--Output file-->
    <file type="log4net.Util.PatternString" value="logs/dotstatsuite-core-transfer-user.log"/>
    <rollingStyle value="Date"/>
    <datePattern value="yyyyMMdd"/>
    <!--enable the following setting to keep a max number of backup log files.-->
    <!--<maxSizeRollBackups value="10" />-->
    <maximumFileSize value="100MB" />
    <staticLogFileName value="true" />
    <appendToFile value="true"/>
    <layout type="log4net.Layout.PatternLayout">
      <!--Add of remove fields to adjust the logging information, note that "|" is being used as delimiter-->
      <conversionPattern value="%date|[%thread]|%property{DataSpaceId}|%property{TransactionId}|%-5level|%property{log4net:HostName}|%property{Application}|%logger|%message|%exception|%property{UrlReferrer}|%property{HttpMethod}|%property{RequestPath}|%property{QueryString}%newline" />
    </layout>
    <!--Log level WARNNING-->
    <Threshold value="WARN" />
    <!--Filter user activity-->
    <filter type="log4net.Filter.PropertyFilter">
      <key value="DataSpaceId" />
      <StringToMatch value="null" />
      <acceptOnMatch value="false" />
    </filter>
  </appender>
  <root>
    <!-- Options are "ALL", "DEBUG", "INFO", "NOTICE", "WARN", "ERROR", "FATAL" and "OFF". -->
    <level value="ALL"/>
    <appender-ref ref="SystemActivityAppender"/>
    <appender-ref ref="UserActivityAppender"/>
  </root>
</log4net>
